/* Generated by dbus-binding-tool; do not edit! */

#include <glib.h>
#include <dbus/dbus-glib.h>

G_BEGIN_DECLS

#ifndef _DBUS_GLIB_ASYNC_DATA_FREE
#define _DBUS_GLIB_ASYNC_DATA_FREE
static
#ifdef G_HAVE_INLINE
inline
#endif
void
_dbus_glib_async_data_free (gpointer stuff)
{
	g_slice_free (DBusGAsyncData, stuff);
}
#endif

#ifndef DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_PIM_Types
#define DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_PIM_Types

static
#ifdef G_HAVE_INLINE
inline
#endif
gboolean
org_freesmartphone_PIM_Types_list (DBusGProxy *proxy, char *** OUT_types, GError **error)

{
  return dbus_g_proxy_call (proxy, "List", error, G_TYPE_INVALID, G_TYPE_STRV, OUT_types, G_TYPE_INVALID);
}

typedef void (*org_freesmartphone_PIM_Types_list_reply) (DBusGProxy *proxy, char * *OUT_types, GError *error, gpointer userdata);

static void
org_freesmartphone_PIM_Types_list_async_callback (DBusGProxy *proxy, DBusGProxyCall *call, void *user_data)
{
  DBusGAsyncData *data = (DBusGAsyncData*) user_data;
  GError *error = NULL;
  char ** OUT_types;
  dbus_g_proxy_end_call (proxy, call, &error, G_TYPE_STRV, &OUT_types, G_TYPE_INVALID);
  (*(org_freesmartphone_PIM_Types_list_reply)data->cb) (proxy, OUT_types, error, data->userdata);
  return;
}

static
#ifdef G_HAVE_INLINE
inline
#endif
DBusGProxyCall*
org_freesmartphone_PIM_Types_list_async (DBusGProxy *proxy, org_freesmartphone_PIM_Types_list_reply callback, gpointer userdata)

{
  DBusGAsyncData *stuff;
  stuff = g_slice_new (DBusGAsyncData);
  stuff->cb = G_CALLBACK (callback);
  stuff->userdata = userdata;
  return dbus_g_proxy_begin_call (proxy, "List", org_freesmartphone_PIM_Types_list_async_callback, stuff, _dbus_glib_async_data_free, G_TYPE_INVALID);
}
#endif /* defined DBUS_GLIB_CLIENT_WRAPPERS_org_freesmartphone_PIM_Types */

G_END_DECLS
